| Home | Libraries | People | FAQ | More

## Function starts_with

boost::algorithm::starts_with — 'Starts with' predicate

## Synopsis

    template<typename Collection1T, typename Collection2T, typename PredicateT>
      bool starts_with(const Collection1T & Input, const Collection2T & Test,
                       PredicateT Comp);
    template<typename Collection1T, typename Collection2T>
      bool starts_with(const Collection1T & Input, const Collection2T & Test);

## Description

This predicate holds when the test collection is a prefix of the Input. In other words, if the input starts with the test. When the optional predicate is specified, it is used for character-wise comparison.

Parameters

Comp

  An element comparison predicate

Input

  An input sequence

Test

  A test sequence

Returns: The result of the test
Notes: This function provides the strong exception-safety guarantee

| Copyright © 2002-2004 Pavol Droba